Bug 279560 - [WINDOWS] Amarok for Windows concats "C:/" to Collection Root When Organizing Files
Summary: [WINDOWS] Amarok for Windows concats "C:/" to Collection Root When Organizing...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Organize Files Dialog (show other bugs)
Version: 2.6.0
Platform: Compiled Sources Microsoft Windows
: NOR normal with 50 votes (vote)
Target Milestone: later
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 01:54 UTC by Erick
Modified: 2013-07-18 13:28 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
Print Screen of Dialog Window (108.95 KB, image/jpeg)
2011-08-07 01:54 UTC, Erick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erick 2011-08-07 01:54:24 UTC
Created attachment 62626 [details]
Print Screen of Dialog Window

Version:           2.4-GIT
OS:                MS Windows

My Collection Root is on an external hard drive on Drive "Z". When I tried to copy a folder on my drive C to my collection, the dialog on window "Organize Files" showed the destination preview as "C:/Z:/musicas/etc..." when it should be just "Z:/musicas/etc...".

Reproducible: Didn't try

Steps to Reproduce:
1 - Point your collection root to some directory on drive Z
2 - Try to copy media at drive C to your collection

Actual Results:  
The destination preview as "C:/Z:/musicas/etc..." when it should be just "Z:/musicas/etc...", and when I hit Ok Amarok doesn't do anything. The copy statys in 0% and is never done.

Expected Results:  
Files being copied to my collection.

OS: MINGW32_NT-5.1 (i686) release Windows XP
Compiler: gcc.exe
Comment 1 Aakash 2011-12-31 15:48:17 UTC
I am able to reproduce the bug on Amarok 2.5 under Windows XP.
Comment 2 Myriam Schweingruber 2012-01-01 12:23:47 UTC
Setting status to confirmed.
Comment 3 Myriam Schweingruber 2013-04-11 08:58:57 UTC
Is this still valid for Amarok 2.6? Also Amarok 2.7 release for Windows is imminent, stay tuned :)
Comment 4 Andrej Hank 2013-04-11 20:44:02 UTC
Confirming - still valid for 2.6.
Comment 5 Myriam Schweingruber 2013-04-12 07:07:58 UTC
Thank you for the feedback.
Comment 6 Matěj Laitl 2013-07-18 13:28:47 UTC
Git commit fea4c497708328fdb886333c0e8836653f0dcb9c by Matěj Laitl.
Committed on 18/07/2013 at 10:58.
Pushed by laitl into branch 'master'.

TrackOrganizer: fix foolish behaviour on Windows wrt \ vs. / path separators

BUGFIXES:
 * Fixed organizing/copying/moving tracks to Local Collection on Windows.
Related: bug 302251
FIXED-IN: 2.8
CCMAIL: Patrick von Reth <vonreth@kde.org>
DIGEST: Amarok fixes organizing/copying/moving tracks in Windows

M  +2    -0    ChangeLog
M  +13   -3    src/core/support/Amarok.cpp
M  +17   -1    src/core/support/Amarok.h
M  +3    -5    src/dialogs/TrackOrganizer.cpp

http://commits.kde.org/amarok/fea4c497708328fdb886333c0e8836653f0dcb9c